%def_without qt
%def_without gnome
%def_with wxwindows

Name: vlc
Version: 0.7.2
Release: alt0.5

Summary: VideoLAN is a free multimedia software solution
License: GPL
Group: Video
Url: http://www.videolan.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/pub/%name/%version/%name-%version.tar.gz

Obsoletes: %name-mad

%define libdvdcss_ver 1.2.8
%define ffmpeg_ver 0.4.8-alt6cvs20040520
%define mpeg2dec_ver 0.4.0
%define libvcd_ver 0.7.20
%define faad_ver 2.0
%define faac_ver 1.24

Requires: libffmpeg >= %ffmpeg_ver
Requires: libdvdcss >= %libdvdcss_ver
Requires: libmpeg2 >= %mpeg2dec_ver

BuildPreReq: kernel-headers-std

BuildPreReq: libdvdcss-devel >= %libdvdcss_ver
BuildPreReq: ffmpeg-devel >= %ffmpeg_ver
BuildPreReq: libmpeg2-devel >= %mpeg2dec_ver
BuildPreReq: libfaad-devel >= %faad_ver
BuildPreReq: libfaac-devel >= %faac_ver

%if_with gnome
BuildPreReq: gnome-libs-devel 
%endif

%if_with wxwindows
BuildPreReq: wxGTK-devel glib2-devel
%endif

# Automatically added by buildreq on Mon May 31 2004
#BuildRequires: XFree86-devel XFree86-libs aalib-devel esound-devel ffmpeg-devel freetype2-devel gcc-c++ glib-devel glib2-devel gtk+-devel libSDL-devel liba52-devel libalsa-devel libarts-devel libaudiofile-devel libcddb-devel libcdio-devel libdvbpsi-devel libdvdcss-devel libdvdnav-devel libdvdplay-devel libdvdread-devel libfaac-devel libfaad-devel libggi-devel libgii-devel libid3tag-devel liblirc-devel libmad-devel libmodplug-devel libmpeg2-devel libncurses-devel libogg-devel libpng-devel libspeex-devel libstdc++-devel libtinfo-devel libvcd-devel libvorbis-devel libxml2-devel libxosd-devel pkgconfig wxGTK-devel zlib-devel
BuildRequires: XFree86-devel XFree86-libs aalib-devel esound-devel ffmpeg-devel
BuildRequires: freetype2-devel gcc-c++ glib-devel gtk+-devel libSDL-devel liba52-devel
BuildRequires: libalsa-devel libarts-devel libaudiofile-devel libcddb-devel libcdio-devel
BuildRequires: libdvbpsi-devel libdvdcss-devel libdvdnav-devel libdvdplay-devel
BuildRequires: libdvdread-devel libfaac-devel libfaad-devel libggi-devel libgii-devel
BuildRequires: libid3tag-devel liblirc-devel libmad-devel libmodplug-devel libmpeg2-devel
BuildRequires: libncurses-devel libogg-devel libpng-devel libspeex-devel libstdc++-devel
BuildRequires: libtinfo-devel libvcd-devel libvorbis-devel libxml2-devel libxosd-devel
BuildRequires: pkgconfig zlib-devel

%description
VideoLAN is a free network-aware MPEG1, MPEG2, MPEG4 (aka DivX)
and DVD player.

The VideoLAN Client allows to play MPEG2 Transport Streams from the
network or from a file, as well as direct DVD playback.
VideoLAN is a project of students from the Ecole Centrale Paris.

This version add MPEG1 support, direct DVD support, DVD decryption,
arbitrary, seeking in the stream, pause, fast forward and slow motion,
hardware YUV acceleration and a few new interface features including
drag'n'drop.

%package gtk
Summary: Gtk interface plugin for the VideoLAN client
Group: Video
Provides: vlc-gui
Requires: %name = %version-%release

%description gtk
VideoLAN is a free multimedia software solution.

This plugin adds a Gtk+ interface to vlc, the VideoLAN Client. To
activate it run the `gvlc' program.

%package wx
Summary: WxWindows interface plugin for the VideoLAN client
Group: Video
Provides: vlc-gui
Requires: %name = %version-%release

%description wx
VideoLAN is a free multimedia software solution.

This plugin adds a WxWindows interface to vlc, the VideoLAN Client. To
activate it run the `wxvlc' program.

%if_with gnome
%package gnome
Summary: Gnome plugin for the VideoLAN client
Group: Video
Provides: vlc-gui
Requires: %name = %version-%release

%description gnome
VideoLAN is a free multimedia software solution.

This plugin adds a Gnome interface to vlc, the VideoLAN Client. To
activate it, use the `--intf gnome' flag or run the `gnome-vlc' program.
%endif

%if_with qt
%package qt
Summary: Qt2 plugin for the VideoLAN client
Group: Video
Provides: vlc-gui
Requires: %name = %version-%release

%description qt
VideoLAN is a free multimedia software solution.

This plugin adds a Qt interface to vlc, the VideoLAN Client. To
activate it, use the `--intf qt' flag or run the `qvlc' program.
%endif

%package ncurses
Summary: Ncurses console-based plugin for the VideoLAN client
Group: Video
Requires: %name = %version-%release

%description ncurses
VideoLAN is a free multimedia software solution.

This plugin adds a ncurses interface to vlc, the VideoLAN Client. To
activate it, use the `--intf ncurses' flag.

%package lirc
Summary: Lirc plugin for the VideoLAN client
Group: Video
Requires: %name = %version-%release

%description lirc
VideoLAN is a free multimedia software solution.

This plugin is an infrared lirc interface for vlc, the
VideoLAN Client. To activate it, use the `--intf lirc' flag.

%package aa
Summary: ASCII art video plugin for the VideoLAN client
Group: Video
Requires: %name = %version-%release

%description aa
VideoLAN is a free multimedia software solution.

This is an ASCII art video output plugin for vlc, the VideoLAN
Client. To activate it, use the `--vout aa' flag or select the `aa'
vout plugin from the preferences menu.

%package sdl
Summary: Simple DirectMedia Layer video plugin for the VideoLAN client
Group: Video
Requires: %name = %version-%release

%description sdl
VideoLAN is a free multimedia software solution.

This plugin adds support for the Simple DirectMedia Layer library to
vlc, the VideoLAN Client. To activate it, use the `--vout sdl' or
`--aout sdl' flags or select the `sdl' vout or aout plugin from the
preferences menu.

%package ggi
Summary: GGI video plugin for the VideoLAN client
Group: Video
Requires: %name = %version-%release

%description ggi
VideoLAN is a free multimedia software solution.

This is a GGI plugin for vlc, the VideoLAN Client.  To activate it, use
the `--vout ggi' flag or select the `ggi' vout plugin from the preferences
menu.

%package fb
Summary: Framebuffer video plugin for the VideoLAN client
Group: Video
Requires: %name = %version-%release

%description fb
VideoLAN is a free multimedia software solution.

This plugin adds support for video output to framebuffer device.

%package esd
Summary: Enlightened Sound Daemon audio plugin for the VideoLAN client
Group: Video
Requires: %name = %version-%release

%description esd
VideoLAN is a free multimedia software solution.

This plugin adds support for the Enlightened Sound Daemon to vlc, the
VideoLAN Client. To activate it, use the `--aout esd' flag or select
the `esd' aout plugin from the preferences menu.

%package arts
Summary: aRts audio plugin for the VideoLAN client
Group: Video
Requires: %name = %version-%release

%description arts
VideoLAN is a free multimedia software solution.

This plugin adds support for the aRts Sound System to vlc, the
VideoLAN Client. To activate it, use the `--aout arts' flag or
select the `arts' aout plugin from the preferences menu.

%package alsa
Summary: Advanced Linux Sound Architecture audio plugin for the VideoLAN client
Group: Video
Requires: %name = %version-%release

%description alsa
VideoLAN is a free multimedia software solution.

This plugin adds support for the Advanced Linux Sound Architecture to
vlc, the VideoLAN Client. To activate it, use the `--aout alsa' flag or
select the `alsa' aout plugin from the preferences menu.

%package osd
Summary: OSD visualisation plugin for the VideoLAN client
Group: Video
Requires: %name = %version-%release

%description osd
VideoLAN is a free multimedia software solution.

This plugin adds support for OSD to vlc, the VideoLAN Client. 

%package dvb
Summary: DVB plugin for the VideoLAN client
Group: Video
Requires: %name = %version-%release

%description dvb
VideoLAN is a free multimedia software solution.

This plugin adds capability of demultiplexing a satellite
DVB stream to vlc, the VideoLAN Client.

%package devel
Summary: Development files for VideoLAN client
Group: Development/C
Requires: %name = %version-%release

%description devel
VideoLAN is a free multimedia software solution.

This package provides files needed to develop plugins for vlc.

%define _vlc_pluginsdir %_libdir/%name

%if_with qt
%define qt_ver_major 2
%define qtdir %_libdir/qt%qt_ver_major
%if "%qt_ver_major" == "3"
%define kdedir %(kde-config --prefix)
%else
%define kdedir %(%_libdir/kde%qt_ver_major-compat/bin/kde-config --prefix)
%endif
%endif

%prep
%setup -q
%__subst 's,\(%libvcd_ver\)-cdio,\1,' configure*

%build
%if_with qt
export QTDIR=%qtdir
export KDEDIR=%kdedir
%endif

%__rm -f missing
%__libtoolize --copy --force
%__aclocal -I m4
%__autoheader
%__automake -a -c --gnu
%__autoconf

%configure --enable-release \
	--disable-rpath \
	--disable-static \
	--enable-gtk \
	--enable-ncurses \
%if_with gnome
	--enable-gnome \
%endif
%if_with qt
        --enable-qt \
%endif
%if_without wxwindows
	--disable-wxwindows \
%endif
	--enable-lirc \
	--enable-v4l \
	--enable-dvd \
	--enable-dvdread \
	--enable-xvideo \
	--enable-ggi \
	--enable-sdl \
	--enable-aa \
        --enable-esd \
	--enable-alsa \
	--enable-arts \
	--enable-dvb \
	--enable-xosd \
	--enable-faad \
	--with-ffmpeg-faac

%make_build

%install
%makeinstall
%__install -pD -m644 doc/vlc.1 %buildroot/%_man1dir/vlc.1

# menu
%__mkdir_p %buildroot/%_menudir
%__cat <<__MENU__VLC__ >%buildroot/%_menudir/vlc
?package(vlc): command="%_bindir/vlc" hotkey="V" needs="X11" \
longtitle="VideoLAN is a free multimedia software solution" \
section="Multimedia/Video" title="VideoLAN Client" \
icon="vlc.png" hints="Video"
__MENU__VLC__

%__cat <<__MENU__GTK__ >%buildroot/%_menudir/vlc-gtk
?package(vlc-gtk): command="%_bindir/gvlc" needs="X11" \
longtitle="VideoLAN is a free multimedia software solution" \
section="Multimedia/Video" title="Gtk VideoLAN Client" \
icon="gvlc.png" hints="Video"
__MENU__GTK__

%if_with wxwindows
%__cat <<__MENU__WX__ >%buildroot/%_menudir/vlc-wx
?package(vlc-wx): command="%_bindir/wxvlc" needs="X11" \
longtitle="VideoLAN is a free multimedia software solution" \
section="Multimedia/Video" title="WxWindows VideoLAN Client" \
icon="vlc.png" hints="Video"
__MENU__WX__
%endif

%if_with gnome
%__cat <<__MENU__GNOME__ >%buildroot/%_menudir/vlc-gnome
?package(vlc-gnome): command="%_bindir/gnome-vlc" needs="X11" \
longtitle="VideoLAN is a free multimedia software solution" \
section="Multimedia/Video" title="Gnome VideoLAN Client" \
icon="gnome-vlc.png" hints="Video"
__MENU__GNOME__
%endif

%if_with qt
%__cat <<__MENU__QT__ >%buildroot/%_menudir/vlc-qt
?package(vlc-gnome): command="%_bindir/qvlc" needs="X11" \
longtitle="VideoLAN is a free multimedia software solution" \
section="Multimedia/Video" title="Qt VideoLAN Client" \
icon="qvlc.png" hints="Video"
__MENU__QT__
%endif

# icons
%__mkdir_p %buildroot/{%_miconsdir,%_liconsdir}
%__install -m644 %buildroot/%_datadir/vlc/vlc16x16.png %buildroot/%_miconsdir/vlc.png
%__install -m644 %buildroot/%_datadir/vlc/vlc32x32.png %buildroot/%_iconsdir/vlc.png
%__install -m644 %buildroot/%_datadir/vlc/vlc48x48.png %buildroot/%_liconsdir/vlc.png
%if_with gnome
%__install -m644 %buildroot/%_datadir/vlc/gnome-vlc16x16.png %buildroot/%_miconsdir/gnome-vlc.png
%__install -m644 %buildroot/%_datadir/vlc/gnome-vlc32x32.png %buildroot/%_iconsdir/gnome-vlc.png
%__install -m644 %buildroot/%_datadir/vlc/gnome-vlc48x48.png %buildroot/%_liconsdir/gnome-vlc.png
%endif
%__install -m644 %buildroot/%_datadir/vlc/gvlc16x16.png %buildroot/%_miconsdir/gvlc.png
%__install -m644 %buildroot/%_datadir/vlc/gvlc32x32.png %buildroot/%_iconsdir/gvlc.png
%__install -m644 %buildroot/%_datadir/vlc/gvlc48x48.png %buildroot/%_liconsdir/gvlc.png
%if_with qt
%__install -m644 %buildroot/%_datadir/vlc/kvlc16x16.png %buildroot/%_miconsdir/kvlc.png
%__install -m644 %buildroot/%_datadir/vlc/kvlc32x32.png %buildroot/%_iconsdir/kvlc.png
%__install -m644 %buildroot/%_datadir/vlc/kvlc48x48.png %buildroot/%_liconsdir/kvlc.png
%__install -m644 %buildroot/%_datadir/vlc/qvlc16x16.png %buildroot/%_miconsdir/qvlc.png
%__install -m644 %buildroot/%_datadir/vlc/qvlc32x32.png %buildroot/%_iconsdir/qvlc.png
%__install -m644 %buildroot/%_datadir/vlc/qvlc48x48.png %buildroot/%_liconsdir/qvlc.png
%endif

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.a
%__rm -f %buildroot%_vlc_pluginsdir/*.a
%__rm -rf %buildroot%_docdir/%name

%find_lang --output=%name.files %name

# plugins packaged separately
%define plugins gtk|gnome|qt|ncurses|alsa|esd|arts|aa_|ggi|mad|sdl|lirc|fb|xosd|dvb|wxwindows

# plugins list for base package
find %buildroot%_vlc_pluginsdir -type f| \
%__grep -Ev '(%plugins).*\.so|.*\.a$'| %__sed -e 's|^%buildroot||' >>%name.files

%post
%update_menus

%postun
%clean_menus

%post gtk
%update_menus

%postun gtk
%clean_menus

%if_with gnome
%post gnome
%update_menus

%postun gnome
%clean_menus
%endif

%if_with wxwindows
%post wx
%update_menus

%postun wx
%clean_menus
%endif

%if_with qt
%post qt
%update_menus

%postun qt
%clean_menus
%endif

%files -f %name.files
%_bindir/vlc
%_bindir/svlc
%dir %_vlc_pluginsdir
%_datadir/%name
%_man1dir/*
%_menudir/vlc
%_iconsdir/vlc.png
%_iconsdir/*/vlc.png
%doc AUTHORS README MAINTAINERS NEWS
%doc doc/*

%files gtk
%_bindir/gvlc
%_vlc_pluginsdir/*/libgtk*.so
%_menudir/vlc-gtk
%_iconsdir/gvlc.png
%_iconsdir/*/gvlc.png

%if_with wxwindows
%files wx
%_bindir/wxvlc
%_vlc_pluginsdir/*/libwxwindows_plugin.so
%_menudir/vlc-wx
%endif

%if_with gnome
%files gnome
%_bindir/gnome-vlc
%_vlc_pluginsdir/*/libgnome_plugin.so
%_menudir/vlc-gnome
%_iconsdir/gnome-vlc.png
%_iconsdir/*/gnome-vlc.png
%endif

%if_with qt
%files qt
%_bindir/qvlc
%_vlc_pluginsdir/*/libqt_plugin.so
%_menudir/vlc-qt
%_iconsdir/qvlc.png
%_liconsdir/*/qvlc.png
%endif

%files ncurses
%_vlc_pluginsdir/*/libncurses_plugin.so

%files lirc
%_vlc_pluginsdir/*/liblirc_plugin.so

%files sdl
%_vlc_pluginsdir/*/*_sdl_*.so

%files ggi
%_vlc_pluginsdir/*/libggi_plugin.so

%files aa
%_vlc_pluginsdir/*/libaa_plugin.so

%files fb
%_vlc_pluginsdir/*/libfb_plugin.so

%files esd
%_vlc_pluginsdir/*/libesd_plugin.so

%files arts
%_vlc_pluginsdir/*/libarts_plugin.so

%files alsa
%_vlc_pluginsdir/*/libalsa_plugin.so

%files osd
%_vlc_pluginsdir/*/libxosd_plugin.so

%files dvb
%_vlc_pluginsdir/*/libdvbsub_plugin.so
%_vlc_pluginsdir/*/libts_dvbpsi_plugin.so
%_vlc_pluginsdir/*/libmux_ts_dvbpsi_plugin.so

%files devel
%_bindir/%name-config
%_includedir/*
%doc INSTALL HACKING

%changelog
* Mon May 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7.2-alt0.5
- 0.7.2

* Thu Apr 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7.1-alt0.2
- 0.7.1

* Mon Jan 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7.0-alt0.2
- 0.7.0

* Thu Apr 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.3-alt0.5
- 0.5.3

* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.0-alt0.5
- 0.5.0

* Sat Nov 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt0.5
- 0.4.6

* Fri Nov 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.5-alt0.5
- 0.4.5

* Fri Sep 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.4-alt0.5
- 0.4.4 

* Sat Jul 27 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.3-alt0.5
- 0.4.3

* Thu Jul 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.2-alt0.5
- 0.4.2
- built with libffmpeg-0.4.6-alt0.2cvs20020721

* Wed Jun 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.1-alt0.5
- 0.4.1 
- built with libffmpeg-0.4.6-alt0.1cvs20020605 
- configure.in patch removed.

* Fri May 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4-alt0.5
- Adopted for Sisyphus. 

* Thu May 23 2002 Yves Duret <yduret@mandrakesoft.com> 0.4.0-1mdk
- version 0.4.0 with MPEG4 (DivX) support thx ffmpeg.
  thus s/MPEG, MPEG2 and DVD/multimedia/g
- sync %%description with debian ones.
- vlc now requires a vlc-gui (gtk, gnome or qt).
- removed gcc3.1 patches since merged upstream.

* Mon May 13 2002 Yves Duret <yduret@mandrakesoft.com> 0.3.1-4mdk
- removed xmga plugin (currently broken).
- manual rebuild in gcc3.1 environment aka added Patch0 & Patch1
- various summary/description changes.

* Fri May 03 2002 Yves Duret <yduret@mandrakesoft.com> 0.3.1-3mdk
- added vlc-lirc intf plugin rpm.

* Tue Apr 30 2002 Yves Duret <yduret@mandrakesoft.com> 0.3.1-2mdk
- rebuild against libalsa2 (vlc-sdl)

* Fri Apr 19 2002 Yves Duret <yduret@mandrakesoft.com> 0.3.1-1mdk
- version 0.3.1.
- removed patch0 merged upstream.
- removed old %%ifarch ppc
- added missing libmad-devel buldrequires

* Wed Apr 17 2002 Yves Duret <yduret@mandrakesoft.com> 0.3.0-4mdk
- added liba52 support (buildrequires).
- added vlc-alsa audio plugin.
- mad is a codec (audio) plugin. corrected description and summary.

* Wed Apr 10 2002 Yves Duret <yduret@mandrakesoft.com> 0.3.0-3mdk
- added patch0 from CVS: fix crashing GTK popup menus thx Michal Bukovjan <bukovjan@mbox.dkm.cz>

* Wed Apr 10 2002 Yves Duret <yduret@mandrakesoft.com> 0.3.0-2mdk
- added vlc-arts rpm plugin thx blindauer Emmanuel <manu@agat.net>
- better summary for plugin
- add packager tag to myself

* Sun Apr 07 2002 Yves Duret <yduret@mandrakesoft.com> 0.3.0-1mdk
- version 0.3.0
- added aa (Asci Art) plugin in vlc-aa rpm
- merged with sam's one:
  * using his plugins list into %%files
  * removed libdvdcss from the whole tarball.
  * removed the workaround for vlc's bad /dev/dsp detection.
- few spell corrections in all %%description
- added buildrequires on SDL-devel

* Tue Mar 05 2002 Yves Duret <yduret@mandrakesoft.com> 0.2.93-0.1mdk
- new cvs snapshot
- fix requires

* Mon Mar 04 2002 Yves Duret <yduret@mandrakesoft.com> 0.2.92-5mdk
- cvs snapshot

* Sat Jan 26 2002 Yves Duret <yduret@mandrakesoft.com> 0.2.92-4mdk
- mad plugin in vlc-mad rpm

* Mon Jan 21 2002 Yves Duret <yduret@mandrakesoft.com> 0.2.92-3mdk
- synced with main cvs specfile wich "fixed a few minor inaccuracies"

* Thu Jan 17 2002 Yves Duret <yduret@mandrakesoft.com> 0.2.92-2mdk
- readded libdvdcss rpm in specfile. use %%define css 1 with correct sources
  to build libdvdcss rpm.

* Wed Jan 09 2002 Yves Duret <yduret@mandrakesoft.com> 0.2.92-1mdk
- version 0.2.92
- %%makeinstall_std
- splitted again, added vlc-sdl vlc-esd vlc-ggi
- bring back some missing plugins
- fixed buildrequires
- added menu entries and icons (from cvs)

* Tue Oct 23 2001 Yves Duret <yduret@mandrakesoft.com> 0.2.83-2mdk
- rebuild against libpng3
- added some doc for sir rpmlint
- #5583: option -g

* Thu Aug 23 2001 Yves Duret <yduret@mandrakesoft.com> 0.2.83-1mdk
- version 0.2.83 :
  * Activated subtitles in overlay mode (far from perfect, but this
    was an often requested feature).

* Fri Aug 10 2001 Yves Duret <yduret@mandrakesoft.com> 0.2.82-1mdk
- version 0.2.82

* Mon Jul 30 2001 Yves Duret <yduret@mandrakesoft.com> 0.2.81-1mdk
- version 0.2.81
- added vlc-ncurses

* Wed Jun 20 2001 Yves Duret <yduret@mandrakesoft.com> 0.2.81-0.20010619-1mdk
- cvs snapshot
- added libdvdcss

* Wed Jun 13 2001 Yves Duret <yduret@mandrakesoft.com> 0.2.80-2mdk
- fix build on ppc (c) dadou

* Mon Jun 11 2001 Yves Duret <yduret@mandrakesoft.com> 0.2.80-1mdk
- version 0.2.80 : bug fixes and bug fixes and bug fixes and small
  improvements of the gtk interface.
- corrected Summary in vlc-qt

* Wed May 23 2001 Yves Duret <yduret@mandrakesoft.com> 0.2.73-2mdk
- added qt2 plugin (vlc-qt)

* Wed May 16 2001 Yves Duret <yduret@mandrakesoft.com> 0.2.73-1mdk
- version 0.2.73
- you can now get decss threw a plugin
- rewritte srcipt to build vlc (decss plugin)
- rebuild with SDL 1.2

* Thu Apr 26 2001 Yves Duret <yduret@mandrakesoft.com> 0.2.72-2mdk
- true 0.2.72

* Mon Apr 16 2001 Yves Duret <yduret@mandrakesoft.com> 0.2.72-1mdk
- version 0.2.72
- package split into vlc, vlc-gnome, vlc-gtk

* Fri Apr 13 2001 Yves Duret <yduret@mandrakesoft.com> 0.2.71-1mdk
- version 0.2.71 :
  * Fixed segfaults when compiled with gcc 3.0pre and versions of gcc
    shipped with the latest RedHat distributions.
  * Fixed the BeOS CSS decryption.
  * Fixed a few issues in IFO parsing.
  * Fixed XVideo video output.
  * Updated icons under Linux, BeOS, MacOS X.

* Wed Apr 11 2001 Yves Duret <yduret@mandrakesoft.com> 0.2.70-1mdk
- version 0.2.70

* Thu Mar 22 2001 Yves Duret <yduret@mandrakesoft.com> 0.2.63-1mdk
- version 0.2.63 : Bugfixes, bugfixes, and bugfixes again, a Gtk+
  interface for the Gnome-impaired, an even better DVD support

* Fri Feb 16 2001 Yves Duret <yduret@mandrakesoft.com> 0.2.61-1mdk
- new version for all the DVD fans (add MPEG1 support, direct DVD support,
  DVD decryption, arbitrary, seeking in the stream, pause, fast forward
  and slow motion, hardware YUV acceleration enhanced CSS support and a few
  new interface features including drag'n'drop.
- first *real* public release (now under the GPL)

* Sat Jan 06 2001 David BAUDENS <baudens@mandrakesoft.com> 0.1.99i-2mdk
- Fix build and use right optimizations on PPC
- Enable SDL support
- Spec clean up

* Fri Jan  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1.99i-1mdk
- 0.1.99i, rebuild

* Fri Aug 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1.99h-1mdk
- 0.1.99h

* Mon Jul 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1.99c-1mdk
- first Mandrake package with help of Sam
